Bug 1020460 - Not able to unset --skip option
Not able to unset --skip option
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
Master
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.4.0
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 13:19 EDT by Preethi Thomas
Modified: 2014-08-09 02:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:55:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-10-17 13:19:49 EDT
Description of problem:

If you set --skip option for selective sync, then there is no way to unset the option and let the repo sync all content. You can update it with different options but not able to set to none

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a repo with --skip option
2. try to unset the --skip option
3.

Actual results:
[root@qe-blade-10 ~]# pulp-admin rpm repo update --repo-id rhel6-3 --skip ""
Validation failed for argument [--skip]: Types must be a comma-separated list
using only the following values: rpm, drpm, distribution, erratum



Expected results:


Additional info:
Comment 1 Jay Dobies 2013-10-25 15:50:11 EDT
$ pulp-admin rpm repo create --repo-id skip-test --skip rpm,erratum
Successfully created repository [skip-test]

$ pulp-admin rpm repo list --details 
Id:                  skip-test
Display Name:        skip-test
Description:         None
Content Unit Counts: 
Notes:               
Importers:           
  Config:           
    Type Skip List: rpm, erratum
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          skip-test
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: skip-test
    Skip:         rpm, erratum
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             skip-test
  Scheduled Publishes: 


$ pulp-admin rpm repo update --repo-id skip-test --skip ""
Repository [skip-test] successfully updated

$ pulp-admin rpm repo list --details 
Id:                  skip-test
Display Name:        skip-test
Description:         None
Content Unit Counts: 
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          skip-test
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: skip-test
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             skip-test
  Scheduled Publishes:
Comment 2 Jeff Ortel 2014-04-03 09:36:14 EDT
build: 2.4.0-0.7.beta
Comment 3 Preethi Thomas 2014-04-16 11:38:02 EDT
verified
[root@pulp-24-server ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.9.beta.el6.noarch
[root@pulp-24-server ~]# 
[root@pulp-24-server ~]# 
[root@pulp-24-server ~]#  pulp-admin rpm repo create --repo-id skip-test --skip rpm,erratum
Successfully created repository [skip-test]

[root@pulp-24-server ~]# pulp-admin rpm repo list --details 
+----------------------------------------------------------------------+
                            RPM Repositories
+----------------------------------------------------------------------+

Id:                  zoo
Display Name:        zoo
Description:         None
Content Unit Counts: 
  Erratum:          4
  Package Category: 1
  Package Group:    2
  Rpm:              31
Notes:               
Importers:           
  Config:           
    Feed: http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/zoo/
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2014-04-15T15:31:23-04:00
  Repo Id:          zoo
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha256
    Http:          False
    Https:         True
    Relative URL:  /repos/pulp/pulp/demo_repos/zoo/
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-15T15:33:25-04:00
  Repo Id:             zoo
  Scheduled Publishes: 

Id:                  pulp
Display Name:        pulp
Description:         None
Content Unit Counts: 
  Distribution:     1
  Erratum:          52
  Package Category: 2
  Package Group:    3
  Rpm:              3
Notes:               
Importers:           
  Config:           
    Feed:           http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/pul
                    p_unittest/
    Proxy Host:     http://pulp-proxy.usersys.redhat.com
    Proxy Password: admin
    Proxy Port:     8080
    Proxy Username: admin
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2014-04-15T10:40:00-04:00
  Repo Id:          pulp
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha256
    Http:          False
    Https:         True
    Relative URL:  pulp_unit
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-15T10:40:01-04:00
  Repo Id:             pulp
  Scheduled Publishes: 

Id:                  proxy
Display Name:        proxy
Description:         None
Content Unit Counts: 
  Erratum:          52
  Package Category: 2
  Package Group:    3
  Rpm:              3
Notes:               
Importers:           
  Config:           
    Feed:           http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/rep
                    o_resync_a/
    Proxy Host:     http://pulp-proxy.usersys.redhat.com
    Proxy Password: admin
    Proxy Port:     8080
    Proxy Username: admin
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2014-04-15T10:42:44-04:00
  Repo Id:          proxy
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha256
    Http:          False
    Https:         True
    Relative URL:  pulp_unit
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-15T10:42:45-04:00
  Repo Id:             proxy
  Scheduled Publishes: 

Id:                  foo
Display Name:        foo
Description:         None
Content Unit Counts: 
  Rpm: 1
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          foo
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha256
    Http:          False
    Https:         True
    Relative URL:  foo
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-15T13:09:48-04:00
  Repo Id:             foo
  Scheduled Publishes: 



Id:                  test
Display Name:        test
Description:         None
Content Unit Counts: 
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2014-04-15T16:56:10-04:00
  Repo Id:          test
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: test
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             test
  Scheduled Publishes: 

Id:                  sha
Display Name:        sha
Description:         None
Content Unit Counts: 
  Rpm: 1
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          sha
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha1
    Http:          False
    Https:         True
    Relative URL:  sha
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-15T17:40:41-04:00
  Repo Id:             sha
  Scheduled Publishes: 

Id:                  epoch
Display Name:        epoch
Description:         None
Content Unit Counts: 
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          epoch
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: epoch
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             epoch
  Scheduled Publishes: 

Id:                  test-1
Display Name:        test-1
Description:         None
Content Unit Counts: 
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          test-1
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: test-1
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             test-1
  Scheduled Publishes: 

Id:                  yum-puppet
Display Name:        yum-puppet
Description:         None
Content Unit Counts: 
  Rpm: 352
Notes:               
Importers:           
  Config:           
    Feed:     http://yum.puppetlabs.com/el/6Server/products/x86_64/
    Validate: True
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2014-04-16T10:59:48-04:00
  Repo Id:          yum-puppet
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha1
    Http:          False
    Https:         True
    Relative URL:  /el/6Server/products/x86_64/
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-16T10:59:50-04:00
  Repo Id:             yum-puppet
  Scheduled Publishes: 

Id:                  srpm
Display Name:        srpm
Description:         None
Content Unit Counts: 
  Srpm: 1
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          srpm
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: srpm
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             srpm
  Scheduled Publishes: 

Id:                  skip-test
Display Name:        skip-test
Description:         None
Content Unit Counts: 
Notes:               
Importers:           
  Config:           
    Type Skip List: rpm, erratum
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          skip-test
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: skip-test
    Skip:         rpm, erratum
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             skip-test
  Scheduled Publishes: 


[root@pulp-24-server ~]# pulp-admin rpm repo update --repo-id skip-test --skip ""
Repository [skip-test] successfully updated

[root@pulp-24-server ~]# pulp-admin rpm repo list --details +----------------------------------------------------------------------+
                            RPM Repositories
+----------------------------------------------------------------------+

Id:                  zoo
Display Name:        zoo
Description:         None
Content Unit Counts: 
  Erratum:          4
  Package Category: 1
  Package Group:    2
  Rpm:              31
Notes:               
Importers:           
  Config:           
    Feed: http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/zoo/
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2014-04-15T15:31:23-04:00
  Repo Id:          zoo
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha256
    Http:          False
    Https:         True
    Relative URL:  /repos/pulp/pulp/demo_repos/zoo/
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-15T15:33:25-04:00
  Repo Id:             zoo
  Scheduled Publishes: 

Id:                  pulp
Display Name:        pulp
Description:         None
Content Unit Counts: 
  Distribution:     1
  Erratum:          52
  Package Category: 2
  Package Group:    3
  Rpm:              3
Notes:               
Importers:           
  Config:           
    Feed:           http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/pul
                    p_unittest/
    Proxy Host:     http://pulp-proxy.usersys.redhat.com
    Proxy Password: admin
    Proxy Port:     8080
    Proxy Username: admin
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2014-04-15T10:40:00-04:00
  Repo Id:          pulp
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha256
    Http:          False
    Https:         True
    Relative URL:  pulp_unit
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-15T10:40:01-04:00
  Repo Id:             pulp
  Scheduled Publishes: 

Id:                  proxy
Display Name:        proxy
Description:         None
Content Unit Counts: 
  Erratum:          52
  Package Category: 2
  Package Group:    3
  Rpm:              3
Notes:               
Importers:           
  Config:           
    Feed:           http://repos.fedorapeople.org/repos/pulp/pulp/demo_repos/rep
                    o_resync_a/
    Proxy Host:     http://pulp-proxy.usersys.redhat.com
    Proxy Password: admin
    Proxy Port:     8080
    Proxy Username: admin
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2014-04-15T10:42:44-04:00
  Repo Id:          proxy
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha256
    Http:          False
    Https:         True
    Relative URL:  pulp_unit
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-15T10:42:45-04:00
  Repo Id:             proxy
  Scheduled Publishes: 

Id:                  foo
Display Name:        foo
Description:         None
Content Unit Counts: 
  Rpm: 1
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          foo
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha256
    Http:          False
    Https:         True
    Relative URL:  foo
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-15T13:09:48-04:00
  Repo Id:             foo
  Scheduled Publishes: 


Id:                  test
Display Name:        test
Description:         None
Content Unit Counts: 
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2014-04-15T16:56:10-04:00
  Repo Id:          test
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: test
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             test
  Scheduled Publishes: 

Id:                  sha
Display Name:        sha
Description:         None
Content Unit Counts: 
  Rpm: 1
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          sha
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha1
    Http:          False
    Https:         True
    Relative URL:  sha
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-15T17:40:41-04:00
  Repo Id:             sha
  Scheduled Publishes: 

Id:                  epoch
Display Name:        epoch
Description:         None
Content Unit Counts: 
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          epoch
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: epoch
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             epoch
  Scheduled Publishes: 

Id:                  test-1
Display Name:        test-1
Description:         None
Content Unit Counts: 
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          test-1
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: test-1
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             test-1
  Scheduled Publishes: 

Id:                  yum-puppet
Display Name:        yum-puppet
Description:         None
Content Unit Counts: 
  Rpm: 352
Notes:               
Importers:           
  Config:           
    Feed:     http://yum.puppetlabs.com/el/6Server/products/x86_64/
    Validate: True
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2014-04-16T10:59:48-04:00
  Repo Id:          yum-puppet
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Checksum Type: sha1
    Http:          False
    Https:         True
    Relative URL:  /el/6Server/products/x86_64/
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        2014-04-16T10:59:50-04:00
  Repo Id:             yum-puppet
  Scheduled Publishes: 

Id:                  srpm
Display Name:        srpm
Description:         None
Content Unit Counts: 
  Srpm: 1
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          srpm
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: srpm
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             srpm
  Scheduled Publishes: 

Id:                  skip-test
Display Name:        skip-test
Description:         None
Content Unit Counts: 
Notes:               
Importers:           
  Config:           
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        None
  Repo Id:          skip-test
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: skip-test
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             skip-test
  Scheduled Publishes: 


[root@pulp-24-server ~]#
Comment 4 Randy Barlow 2014-08-09 02:55:09 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.